Hello,

    Is there a way to know what are the optional libraries should be
installed to assure that a Ruby installation from sources comes out
nicely with everything functional?

    Common missing libraries in my experience, and web searches are:
zlib-devel (required by gems), openssl-devel required by Capistrano),
readline-devel (required by IRB and the Rails Console)

    If those libraries are not present, Ruby will be installed without
problem after ./configure, make and sudo make install, but later a lot
of features will be missing.

    Thanks in advance for any suggestion

--
Aný√al Rojas
http://www.rubycorner.com
http://www.hasmanydevelopers.com
http://www.lacaraoscura.com